/*
 * main.c
 *
 * Copyright (c) 2024, MIG Switch.
 *
 * This file is part of MigDumpTool (https://migswitch.com).
 *
 * MigDumpTool is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * MigDumpTool is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "utils.h"

int main(int argc, char **argv) {
    NX_IGNORE_ARG(argc);
    NX_IGNORE_ARG(argv);

    int ret = EXIT_SUCCESS;

    if (utilsInitializeResources()) {
        while(menu_loop());
    } else {
        ret = EXIT_FAILURE;
    }

    utilsCloseResources();

    return ret;
}
